#!/usr/bin/env python3
#
# python moduel to represent a verb and its
# dependencies
# 
# used by infer-case to do a 
# survey of verbs, their valence, 
# their dependencies, glosses on their
# dependecies.  

class Verb:
    """class for representing a verb and some properties"""
    ## this class is intended to be used to count igt
    ## properties, so we want to represent syntactic 
    ## category of arg, text, and gloss of text.
    ## 
    def __init__(self, a):
        self.val = len(a)
        self.args = a
    def get_val(self):
        return self.val

    ## TODO: some further return methods to make this more useful

class Arg: 
    """class for a verbal argument
         stores syntactic category, text and glosstext"""
    ## text and gloss of text should be aligned!!
    syncat = ''
    text = '' 
    glosstext = ''
    def __init__(self, s, t, g):
        self.syncat = s
        self.text = t
        self.glosstext = g
    def get_syncat(self):
        return self.syncat
    def get_text(self):
        return self.text
    def get_glosstext(self):
        return self.glosstext


