# Kristen Howell
# a script for finding examples of a specific morpheme in a dataset

import sys
from xigt.codecs import xigtxml
from xigt import XigtCorpus

ctn_file = 'C:/Users/Kristen/Documents/code/agg/data/mcb/xigt/mcb_eng_enriched.xml'
new_file = 'C:/Users/Kristen/Documents/code/agg/data/mcb/xigt/mcb_toy.xml'
ctn_corpus = xigtxml.load(open(ctn_file, encoding='utf-8'))
new_xc = XigtCorpus(id=ctn_corpus.id, metadata=ctn_corpus.metadata)


for igt in ctn_corpus:
    if igt.get('m'):
        for m in igt.get('m'):
            if m.value() == 'na':
                if igt not in new_xc:
                    new_xc.append(igt)


xigtxml.dump(open(new_file, 'w', encoding='utf-8'), new_xc)

