# Kristen Howell
# a script for finding examples of a specific annotation in a dataset

import sys
from xigt.codecs import xigtxml
from xigt import Tier, Item, XigtCorpus
import random

xc = xigtxml.load(open('C:/Users/Kristen/Documents/code/agg/data/ctn/splits/xigt/clean/ctn_all_enriched.xml',encoding='utf-8'))
#train_xc = xigtxml.load(open('C:/Users/Kristen/Documents/code/agg/data/ctn/splits/xigt/clean/ctn_0mark.xml',encoding='utf-8'))
#test_xc = xigtxml.load(open('C:/Users/Kristen/Documents/code/xigt/rus_test.xml',encoding='utf-8'))
sample_xc = XigtCorpus(id=xc.id, metadata=xc.metadata)
sample_xc_with_tiers = XigtCorpus(id=xc.id, metadata=xc.metadata)

print('loaded corpus')
list = []
for igt in xc:
    list.append(igt)
train_random = []
used_igt_ids = []
print('made list')
# for igt in train_xc:
#     used_igt_ids.append(igt.id)
# for igt in test_xc:
#     used_igt_ids.append(igt.id)

while len(train_random) < 200:
    num = random.randint(0,(len(list)-1))
    id = list[num].id
    if num in train_random:
        continue
    if 'dev' in id or 'test' in id:
        continue
    # elif list[num].id in used_igt_ids:
    #     continue
    # elif not list[num].get('m'):
    #     continue
    # elif not list[num].get('a'):
    #     continue
    # elif not list[num].get('g'):
    #     continue
    else:
        good_igt = [False, False]
        normalized = list[num].get('n')
        for line in normalized:
            if line.attributes["tag"] == 'T':
                for line in normalized:
                    if line.attributes["tag"] == 'G':
                        good_igt[0] = True
        for tier in list[num]:
            if tier.id == 'w-ds':
                good_igt[1] = True
        if good_igt == [True, True]:
            train_random.append(num)
print('generated random list')
for int in train_random:
    sample_xc_with_tiers.append(list[int])
    print(list[int].id)
    igt = list[int]
    if igt.get('gw'):
        del igt['gw']
    if igt.get('g'):
        del igt['g']
    if igt.get('gw-pos'):
        del igt['gw-pos']
    if igt.get('gw-ds'):
        del igt['gw-ds']
    if igt.get('g-pos'):
        del igt['g-pos']
    if igt.get('w'):
        del igt['w']
    if igt.get('m'):
        del igt['m']
    if igt.get('tw'):
        del igt['tw']
    if igt.get('tw-pos'):
        del igt['tw-pos']
    if igt.get('tw-ds'):
        del igt['tw-ds']
    for tier in igt:
        if tier.type:
            if tier.type == 'bilingual-alignments':
                del igt[tier.id]
        if tier.id == 'n':
            tier.type = 'odin'
    sample_xc.append(list[int])
print('built new corpus')
xigtxml.dump(open('C:/Users/Kristen/Documents/code/agg/data/ctn/splits/xigt/clean/ctn_0mark.xml', 'w',encoding='utf-8'), sample_xc)
xigtxml.dump(open('C:/Users/Kristen/Documents/code/agg/data/ctn/splits/xigt/clean/ctn_0mark_with_tiers.xml', 'w',encoding='utf-8'), sample_xc_with_tiers)