# Kristen Howell
# a script for creating a smaller toy dataset with random selection

import sys
from xigt.codecs import xigtxml
from xigt import XigtCorpus
import random

# mcb_file = 'C:/Users/Kristen/Documents/code/agg/data/mcb/xigt/mcb_enriched.xml'
# mcb_dev_file = 'C:/Users/Kristen/Documents/code/agg/data/mcb/xigt/mcb_eng_enriched.xml'
# sample_file = 'C:/Users/Kristen/Documents/code/agg/data/mcb/xigt/mcb_2000.xml'
# mcb_corpus = xigtxml.load(open(mcb_file))
# mcb_dev_corpus = xigtxml.load(open(mcb_dev_file))
# sample_xc = XigtCorpus(id=mcb_corpus.id, metadata=mcb_corpus.metadata)
# print('mcb loaded')
#
# mcb_igt = set()
# eng_igt = set()
# for igt in mcb_dev_corpus:
#     eng_igt.add(igt.id)
#
# i = 1
# for igt in mcb_corpus:
#     if igt.id in eng_igt:
#         mcb_igt.add(igt.id)
#         i += 1
# print('eng mcb done')
# for igt in mcb_corpus:
#     if len(mcb_igt) < 2000:
#         if igt.id not in eng_igt:
#             mcb_igt.add(igt.id)
# print('2000 found')
# for igt in mcb_corpus:
#     if igt.id in mcb_igt:
#         sample_xc.append(igt)
# print('corpus created')
#
#
# xigtxml.dump(open(sample_file, 'w', encoding='utf-8'), sample_xc)
# print('corpus dumped')

ctn_file = 'C:/Users/Kristen/Documents/code/agg/data/bbl/xigt/bbl.xml'
sample_file = 'C:/Users/Kristen/Documents/code/agg/data/bbl/xigt/bbl_toy.xml'
ctn_corpus = xigtxml.load(open(ctn_file,encoding='utf-8'))
sample_xc = XigtCorpus(id=ctn_corpus.id, metadata=ctn_corpus.metadata)
print('ctn loaded')
corpus_list = [x for x in ctn_corpus]
random.shuffle(corpus_list)

ctn_igt = set()
for igt in corpus_list:
    if len(ctn_igt) < 500:
        ctn_igt.add(igt.id)
print('500 found')
for igt in ctn_corpus:
    if igt.id in ctn_igt:
        sample_xc.append(igt)
print('corpus created')


xigtxml.dump(open(sample_file, 'w', encoding='utf-8'), sample_xc)
print('corpus dumped')
