# Kristen Howell
# a script for finding igt of a certain length

from xigt.codecs import xigtxml
from xigt import XigtCorpus

iso = 'mcb'
xigt_file = 'C:/Users/Kristen/Documents/code/agg/data/' + iso + '/xigt/' + iso + '_eng_enriched.xml'
xigt_corpus = xigtxml.load(open(xigt_file,encoding='utf-8'))

for igt in xigt_corpus:
    if igt.get('pos'):
        tags = [x.value() for x in igt.get('pos')]
        if all(x == 'v' or x == 'n' for x in tags):
            if len(tags) < 6:
                print(igt.id)