#!/bin/bash

if [ -z "$AGGREGATIONHOME" ]; then
  echo "AGGREGATIONHOME is not set. Attempting to locate." >&2
  curdir=$( cd `dirname "$0"`/../../.. && pwd)
  if [ -z "$curdir" ]; then
    echo "AGGREGATIONHOME directory could not be found. Exiting." >&2
    exit 1
  fi
  AGGREGATIONHOME="$curdir"
fi

PYTHONPATH="$AGGREGATIONHOME/src/xigt/":"$PYTHONPATH" \
    python3.2 "$AGGREGATIONHOME"/src/data/odin/xigt-import-by.py "$@"
