#!/usr/bin/perl

%toks = {};
while(<STDIN>){
  if(m/^lexical rules/){
    # print STDERR "breaking!\n";
    break;
  }
  @linetoks = split;
  #if ($linetoks[3] eq ""){
  #  print STDERR "wordform is empty:\n$_\n";
  #}
  $toks{$linetoks[3]}{$linetoks[1]}+=$linetoks[0]; 
}

$ambig=0;
$total=0;
foreach $k (keys %toks) {
  $numcats = scalar keys %{$toks{$k}};
  if($numcats > 1) {
    $ambig++;
  }  
  $total++;
}

print "$ambig ambiguous forms (out of total: $total)\n";
foreach $k (reverse sort{scalar keys %{$toks{$a}}<=>scalar keys %{$toks{$b}} }(keys %toks)){
  print "\n$k:\n";
  foreach $j (keys %{$toks{$k}}){
    print " => $j : $toks{$k}{$j}\n";
  }
}
