#!/usr/bin/env python3
# -*- coding: utf-8 -*
# Kristen Howell
# One-off to process the abz corpus and skip everything that has no translations tier

import sys
from xigt.codecs import xigtxml
from xigt.model import XigtCorpus, Igt, Tier, Item
import re

corpus = open('C:/Users/Kristen/Documents/code/agg/data/yaq/xigt/yaq_enriched.xml', encoding='utf-8')


xc = xigtxml.load(corpus)
new_corpus = XigtCorpus(nsmap=xc.nsmap)

for igt in xc:
    if igt.get('t') and igt.get('t')[0].get_content() and len(igt.get('t')) > 0 and igt.get('p') and igt.get('p')[0].get_content() and len(igt.get('p')) > 0 and igt.get('gw') and  igt.get('gw')[0].get_content() and len(igt.get('gw')) > 1 and igt.get('g') and  igt.get('g')[0].get_content() and len(igt.get('g')) > 0:
        #glosses = " ".join(item.get_content() for item in igt.get('gw'))
        #if 'NO_GLOSS' not in glosses:
        #    print(glosses)
            #if not(re.search(r'.x|.prx|.pfv|.ipfv|.prf|.X|.Prx|.Ipfv|.Prf|.PRX|.PFV|.IPFV|.PRF',glosses)):
            #    if (not(re.search(r'.Pfv',glosses)) or re.search(r'.Pfv-Pfv',glosses)):
            #        print("Safe! " + glosses)
            #        new_corpus.append(igt)
        new_corpus.append(igt)
print(str(len(xc)))
print(str(len(new_corpus)))
xigtxml.dump('C:/Users/Kristen/Documents/code/agg/data/yaq/xigt/yaq_enriched_downsampled.xml', new_corpus, encoding='utf-8', indent=2)
