#!/usr/bin/env python3
# -*- coding: utf-8 -*
# Kristen Howell
# One-off to process the abz corpus and skip everything that has no translations tier

import sys
from xigt.codecs import xigtxml
from xigt.model import XigtCorpus, Igt, Tier, Item
import re

corpus = open('C:/Users/Kristen/Documents/code/agg/data/erk/xigt/erk_enriched_clitics_to_affixes.xml', encoding='utf-8')


xc = xigtxml.load(corpus)
new_corpus = XigtCorpus(nsmap=xc.nsmap)

for igt in xc:
    if igt.get('m-pos'):
        new_corpus.append(igt)
print(str(len(xc)))
print(str(len(new_corpus)))
xigtxml.dump('C:/Users/Kristen/Documents/code/agg/data/erk/xigt/erk_with_pos.xml', new_corpus, encoding='utf-8', indent=2)
