import sys

default_choices = '\nversion=31\n' \
                  'section=general\n' \
                  'language=Chintang\n' \
                  'iso-code=ctn\n' \
                  'comment=test\n' \
                  'section=word-order\n' \
                  'word-order=free\n' \
                  'has-dets=no\n' \
                  'section=arg-opt\n' \
                  'subj-drop=subj-drop-all\n' \
                  'subj-mark-drop=subj-mark-drop-opt\n' \
                  'subj-mark-no-drop=subj-mark-no-drop-opt\n' \
                  'subj-con=subj-con-always\n' \
                  'obj-drop=obj-drop-all\n' \
                  'obj-mark-drop=obj-mark-drop-opt\n' \
                  'obj-mark-no-drop=obj-mark-no-drop-opt'


def add_default_choices(filename):
    with open(filename, 'a') as f:
        f.write(default_choices)

if __name__ == '__main__':
    add_default_choices(sys.argv[1])
